## sasview 4.2.1

=== build_tools/requirements.txt ===
# List of dependencies meant for pip.
# Commented items are generally easier to install separately.
pylint
unittest-xml-reporting==1.10.0
pyparsing>=2.0
html5lib==0.95
reportlab==2.5
lxml==2.3
#PIL==1.1.7
periodictable==1.5.0
bumps==0.7.5.9
numpy>=1.7.1
scipy>=0.18.0
# wx==2.8.12.1
# matplotlib==1.1.0
xhtml2pdf==0.0.6
sphinx==1.2.1
h5py==2.5
pyopencl==2015.1

=== docs/pandoc-docs/Makefile ===
# Makefile for PanDoc documentation
#

## sasview 4.2.0~git20171031

=== debian/changelog ===
sasview (4.2.0~git20171031-5) unstable; urgency=medium

  * Fix race condition in utest_corfunc.py that causes tests to sometimes fail.

 -- Stuart Prescott <stuart@debian.org>  Fri, 19 Jan 2018 11:55:01 +1100

sasview (4.2.0~git20171031-4) unstable; urgency=medium

  * Fix arch/indep split in debian/rules.
  * Stop converting filenames to lowercase when searching for help files
    (Closes: #886715).

 -- Stuart Prescott <stuart@debian.org>  Wed, 10 Jan 2018 01:59:18 +1100

sasview (4.2.0~git20171031-3) unstable; urgency=medium

  * Split arch-dependent and arch-independent build paths (Closes: #885889).
  * Update to debhelper compat 11.
    - update location of documentation to /usr/share/doc/sasview.
  * Update tests to fix recently developed failure.
  * Adjust documentation building for change in doc location for
    python-sasmodels and python-bumps.
  * Skip known-broken tests in autopkgtest test.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Include patch from Chris Lamb to make the build reproducible
    (Closes: #885853).

 -- Stuart Prescott <stuart@debian.org>  Sun, 07 Jan 2018 23:46:54 +1100

sasview (4.2.0~git20171031-2) unstable; urgency=medium

  * Provide full text for CC-Attribution-ShareAlike licence
    (for report.png).

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Dec 2017 09:56:45 +1100

sasview (4.2.0~git20171031-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * New upstream snapshot selected for compatibility with current numpy.
    - Refresh patches and drop unneeded handling of None in plotting.
  * Add further missing run-time and build-time dependencies.
  * Add patch to fix entry points for starting sasview.
  * Add patch to stop retrieval of external files during doc generation.
  * Add patch to make upstream test suite functional just using py.test,
    meaning that the tests now run automatically at build time.
  * Add autopkgtest tests using py.test to run the test suite.
  * Update documentation generation to include parts of bumps and sasmodels.
  * Disable broken man and info generation.

  [ Drew Parsons ]
  * Install SasView documentation in PDF format.
  * Add report.png to debian/copyright (CC Attribution-ShareAlike)
  * Standards-Version: 4.1.2
  * Provide sasview man page generated from 4.1.2 (man page generation
    is currently broken in 4.2.0)

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2017 11:54:57 +0800

sasview (4.1.2-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * debian/control: Fix Vcs-* URLs to point to debian-science.
  * Add missing runtime-dependencies for python-sasview.
  * Use the packaged mathjax rather than the CDN.
  * Fix doc-base abstract for the sasview documentation.
  * Enable hardening of shared objects.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2017 19:02:34 +0800

sasview (4.1.2-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #879812)
    - currently supports python2 only

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2017 18:45:11 +0800

=== debian/control ===
Source: sasview
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libpython-dev,
 python-all,
 python-bumps,
 python-h5py,
 python-lxml,
 python-matplotlib,
 python-numpy,
 python-periodictable,
 python-pil,
 python-pyparsing,
 python-pytest,
 python-sasmodels,
 python-scipy,
 python-setuptools,
 python-sphinx (>= 1.6~),
 python-wxgtk3.0,
Build-Depends-Indep:
 libjs-jquery,
 libjs-mathjax,
 python-bumps-doc (>> 0.7.6-3~),
 python-sasmodels-doc (>> 0.97~git20171104-2~),
 rename,
 texinfo,
 texlive-fonts-recommended,
 texlive-generic-extra,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
Standards-Version: 4.1.3
Homepage: http://www.sasview.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sasview.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sasview.git/
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: sasview
Architecture: all
Depends:
 python-pkg-resources,
 python-sasview,
 ${misc:Depends},
 ${python:Depends}
Suggests:
 sasview-doc
Description: Small Angle Scattering Analysis suite
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 This package installs the sasview executable script.

Package: python-sasview
Architecture: any
Section: python
Depends:
 python-bumps,
 python-h5py,
 python-lxml,
 python-matplotlib,
 python-numpy,
 python-periodictable,
 python-pil,
 python-pyparsing,
 python-sasmodels,
 python-scipy,
 python-wxgtk3.0,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 sasview-doc
Description: Small Angle Scattering Analysis (Python 2)
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 This package installs the library for Python 2.

Package: sasview-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Small Angle Scattering Analysis (common documentation)
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sasview

# Enable additional hardening options for the binaries but not PIE since it is
# not wanted for shared libraries.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# SasView insists on writing to ~/sasview.log
export HOME = $(CURDIR)/build/

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
export FORCE_SOURCE_DATE = 1


%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	# clean up docs
	rm -rf docs/sphinx-docs/build docs/sphinx-docs/source-temp otherdocs
	# clean up tests
	find test -name logs -type d -exec rm -rf {} +
	rm -rf test/tests.log .cache test/.cache test/__init__.py

override_dh_auto_build-indep:
	# build the arch-dep packages to be able to build the docs
	dh_auto_build
	# reassemble the docs from dependent packages to make the overall
	./debian/fetchdocs
	python ./docs/sphinx-docs/build_sphinx.py
	# Strip absolute build paths from HTML documentation
	find -type f -name '*.html' -print0 | \
	  xargs -0r sed -i -e "s@$(CURDIR)/`echo build/lib.*`@path/to@g"
	ln -sf /usr/share/javascript/mathjax/ docs/sphinx-docs/build/html/_static/

override_dh_auto_test-indep:
	# nothing to do

override_dh_install:
	rm debian/python-sasview/usr/lib/python2.7/dist-packages/sas/sasgui/guiframe/images/Thumbs.db
	mkdir -p debian/sasview/usr/bin
	mv debian/python-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview
	dh_numpy

override_dh_fixperms-arch:
	dh_fixperms
	chmod a-x debian/python-sasview/usr/lib/python2.7/dist-packages/sas/sasview/test/1d_data/saxess_example.pdh

=== debian/tests/control ===
Tests: python-sasview
Restrictions: allow-stderr
Depends:
 python-all,
 python-pytest,
 python-sasview

=== debian/watch ===
# sasview watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sasview-$1.tar.gz%" \
   https://github.com/SasView/sasview/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sasview 4.2.0~git20180309

=== debian/changelog ===
sasview (4.2.0~git20180309-3) unstable; urgency=medium

  [ Drew Parsons ]
  * Debian patch file_default_dir.patch sets default dir to user home
    dir instead of application dir when loading and saving files and
    projects. Closes: #892797.
  * add desktop entry and icon (png 48×48, svg) for SasView app.

  [ Stuart Prescott ]
  * Add new matplotlibwx.patch to fix toolbar handling with matplotlib 2.2.

 -- Stuart Prescott <stuart@debian.org>  Sun, 22 Apr 2018 23:59:45 +1000

sasview (4.2.0~git20180309-2) unstable; urgency=medium

  * Add versioned build-dep on the required version of python-sasmodels-doc.

 -- Stuart Prescott <stuart@debian.org>  Sun, 11 Mar 2018 17:22:51 +1100

sasview (4.2.0~git20180309-1) unstable; urgency=medium

  * New upstream git snapshot.
    - drop patches applied upstream: filereader-class.patch
      help-lowercase.patch setup-entry-point.patch standalone-utests.patch
      uniquelist-builtin.patch
    - refresh other patches
    - add additional patch for finding utest resource
  * Update Vcs fields to point to salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Sun, 11 Mar 2018 12:46:18 +1100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libjs-jquery,
  libjs-mathjax,
  python-bumps-doc (>> 0.7.6-3~),
- python-sasmodels-doc (>> 0.97~git20171104-2~),
+ python-sasmodels-doc (>> 0.97~git20180309-1~),
  rename,
  texinfo,
  texlive-fonts-recommended,
@@ -40,8 +40,8 @@
 Homepage: http://www.sasview.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sasview.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sasview.git/
+Vcs-Git: https://salsa.debian.org/science-team/sasview.git
+Vcs-Browser: https://salsa.debian.org/science-team/sasview
 #Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## sasview 4.2.0~git20180710.beta

=== debian/changelog ===
sasview (4.2.0~git20180710.beta-1) unstable; urgency=medium

  * New upstream release (4.2.0-beta)
    - Drop patches included upstream.

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Jul 2018 00:34:26 +1000

=== debian/control ===
--- 
+++ 
@@ -36,10 +36,8 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.sasview.org/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
 #Testsuite: autopkgtest-pkg-python

## sasview 4.2.0

=== debian/changelog ===
sasview (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Oct 2018 23:59:46 +1100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview

## sasview 4.2.1

=== debian/changelog ===
sasview (4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * mark sasview-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Feb 2019 01:12:52 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  libpython-dev,
  python-all,
@@ -36,7 +36,7 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -112,6 +112,7 @@
 
 Package: sasview-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	rm -rf docs/sphinx-docs/build docs/sphinx-docs/source-temp otherdocs
 	# clean up tests
 	find test -name logs -type d -exec rm -rf {} +
-	rm -rf test/tests.log .cache test/.cache test/__init__.py
+	rm -rf test/tests.log .cache test/.cache
 
 override_dh_auto_build-indep:
 	# build the arch-dep packages to be able to build the docs
@@ -42,11 +42,8 @@
 	# nothing to do
 
 override_dh_install:
-	rm debian/python-sasview/usr/lib/python2.7/dist-packages/sas/sasgui/guiframe/images/Thumbs.db
 	mkdir -p debian/sasview/usr/bin
 	mv debian/python-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview
+	dh_install -p sasview debian/sasview.desktop usr/share/applications
+	dh_install -p sasview debian/sasview.{png,svg} usr/share/pixmaps
 	dh_numpy
-
-override_dh_fixperms-arch:
-	dh_fixperms
-	chmod a-x debian/python-sasview/usr/lib/python2.7/dist-packages/sas/sasview/test/1d_data/saxess_example.pdh

## sasview 5.0.0+git20190820

=== debian/changelog ===
sasview (5.0.0+git20190820-3) unstable; urgency=medium

  * debian/fetchdocs: update paths to sasmodels and bumps docs
  * don't install Thumbs.db (Windows thumbnails) with icons
  * don't install qtgui in dist-packages
    (pbuilder/pdebuild triggers an independent installation)

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2019 01:58:57 +0800

sasview (5.0.0+git20190820-2) unstable; urgency=medium

  * extend file_default_dir.patch to Qt GUI
    (by default load data from user home dir, not app dir)
  * debian/patches/formatParam_check_default_false.patch sets default
    value Check=False in qtgui's FittingUtilities.formatParameters()
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2019 17:46:13 +0800

sasview (5.0.0+git20190820-1) experimental; urgency=medium

  [ Drew Parsons ]
  * New upstream release (5.0.0).
    - Refresh patches.
  * Build-Depends-Indep: texlive-plain-generic
    not texlive-generic-extra. Closes: #933586.
  * Standards-Version: 4.4.0

  [ Stuart Prescott ]
  * New upstream git snapshot from ESS_GUI branch, 2019-08-20.
    - Refresh patches.
    - Add numerous patches to ensure documentation can be built, to allow
      tests to pass, make pytest usable.
    - Update dependencies to include PyQt5.
  * Switch to Python 3.
  * Switch to Qt5 GUI.
  * Ensure 'clean' target removes autogenerated UI files and pytest cache.
  * Override lintian warnings about location of UI files.
  * Run but don't fail on test of GUI elements (currently fails upstream) in
    both build and autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Aug 2019 14:23:15 +1000

sasview (4.2.1-2) unstable; urgency=medium

  * Build-Depends-Indep: texlive-plain-generic
    not texlive-generic-extra. Closes: #933586.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Aug 2019 16:47:35 +0800

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,31 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- libpython-dev,
- python-all,
- python-bumps,
- python-h5py,
- python-lxml,
- python-matplotlib,
- python-numpy,
- python-periodictable,
- python-pil,
- python-pyparsing,
- python-pytest,
- python-sasmodels,
- python-scipy,
- python-setuptools,
- python-sphinx (>= 1.6~),
- python-wxgtk3.0,
+ libpython3-dev,
+ pyqt5-dev-tools,
+ python3-all,
+ python3-bumps,
+ python3-h5py,
+ python3-ipython,
+ python3-lxml,
+ python3-matplotlib,
+ python3-numpy,
+ python3-periodictable,
+ python3-pil,
+ python3-pyparsing,
+ python3-pytest,
+ python3-pyqt5,
+ python3-qt5reactor,
+ python3-qtconsole,
+ python3-pyqt5.qtsvg,
+ python3-sasmodels (>> 1.0.0~),
+ python3-scipy,
+ python3-setuptools,
+ python3-sphinx (>= 1.6~),
+ python3-xhtml2pdf,
+ xauth,
+ xserver-xephyr,
+ xvfb,
 Build-Depends-Indep:
  libjs-jquery,
  libjs-mathjax,
@@ -32,11 +41,11 @@
  rename,
  texinfo,
  texlive-fonts-recommended,
- texlive-generic-extra,
+ texlive-plain-generic,
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -46,10 +55,10 @@
 Package: sasview
 Architecture: all
 Depends:
- python-pkg-resources,
- python-sasview,
+ python3-pkg-resources,
+ python3-sasview,
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Suggests:
  sasview-doc
 Description: Small Angle Scattering Analysis suite
@@ -71,23 +80,28 @@
  .
  This package installs the sasview executable script.
 
-Package: python-sasview
+Package: python3-sasview
 Architecture: any
 Section: python
 Depends:
- python-bumps,
- python-h5py,
- python-lxml,
- python-matplotlib,
- python-numpy,
- python-periodictable,
- python-pil,
- python-pyparsing,
- python-sasmodels,
- python-scipy,
- python-wxgtk3.0,
+ python3-bumps,
+ python3-h5py,
+ python3-ipython,
+ python3-lxml,
+ python3-matplotlib,
+ python3-numpy,
+ python3-periodictable,
+ python3-pil,
+ python3-pyparsing,
+ python3-pyqt5,
+ python3-pyqt5.qtsvg,
+ python3-qt5reactor,
+ python3-qtconsole,
+ python3-sasmodels,
+ python3-scipy,
+ python3-xhtml2pdf,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
 Suggests:
  sasview-doc

## sasview 5.0.1

=== build_tools/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Commented items are generally easier to install separately.
 pylint
 unittest-xml-reporting==1.10.0
-pyparsing>=2.0
+pyparsing==1.5.5
 html5lib==0.95
 reportlab==2.5
 lxml==2.3

=== debian/changelog ===
sasview (5.0.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:46 +0100

sasview (5.0.1-1) unstable; urgency=medium

  * New upstream release.
   - drop patches incorporated upstream.

 -- Stuart Prescott <stuart@debian.org>  Tue, 12 Nov 2019 09:47:41 +1100

sasview (5.0.0+git20190820-4) unstable; urgency=medium

  [ Drew Parsons ]
  * rename debian patch formatParam_check_default_false.patch as
    formatParam_check_default.patch and set default Check=True
    to conform with upstream commit 66501cbf2.

  [ Stuart Prescott ]
  * Fix Build-Depends for when there are multiple Python 3 interpreters in
    the archive, with thanks to Steve Langasek for the patch (Closes: #943935).

 -- Stuart Prescott <stuart@debian.org>  Fri, 01 Nov 2019 18:02:12 +1100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- libpython3-dev,
  pyqt5-dev-tools,
- python3-all,
+ python3-all-dev,
  python3-bumps,
  python3-h5py,
  python3-ipython,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # Enable additional hardening options for the binaries but not PIE since it is
 # not wanted for shared libraries.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # SasView insists on writing to ~/sasview.log
 export HOME = $(CURDIR)/build/
@@ -17,7 +17,7 @@
 
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -32,8 +32,9 @@
 	dh_auto_build
 	# reassemble the docs from dependent packages to make the overall
 	./debian/fetchdocs
-	python ./docs/sphinx-docs/build_sphinx.py
+	python3 setup.py docs
 	# Strip absolute build paths from HTML documentation
+	mkdir -p docs/sphinx-docs/build/html/_static/
 	find -type f -name '*.html' -print0 | \
 	  xargs -0r sed -i -e "s@$(CURDIR)/`echo build/lib.*`@path/to@g"
 	ln -sf /usr/share/javascript/mathjax/ docs/sphinx-docs/build/html/_static/
@@ -41,9 +42,25 @@
 override_dh_auto_test-indep:
 	# nothing to do
 
+override_dh_auto_test-arch:
+	# Run most of the utests with pytest
+	dh_auto_test
+	# Run some additional GUI tests
+	# they fail upstream at present so run them without failing the build
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_BEFORE_TEST="cp -r {dir}/src/sas/qtgui {build_dir}" \
+	PYBUILD_TEST_ARGS="cd {build_dir}/qtgui; xvfb-run -a --server-args='-screen 0 1024x768x24' python3 GUITests.py" \
+	PYBUILD_AFTER_TEST="rm -rf {build_dir}/qtgui" \
+	dh_auto_test || true
+
 override_dh_install:
 	mkdir -p debian/sasview/usr/bin
-	mv debian/python-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview
+	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
+	mv debian/python3-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview
 	dh_install -p sasview debian/sasview.desktop usr/share/applications
 	dh_install -p sasview debian/sasview.{png,svg} usr/share/pixmaps
-	dh_numpy
+	dh_numpy3
+
+override_dh_python3:
+	dh_python3
+	rm -rf debian/python3-sasview/usr/lib/python3/dist-packages/qtgui

=== debian/tests/control ===
Tests: sasview
Restrictions: allow-stderr
Depends:
 sasview,
 xauth,
 xserver-xephyr,
 xvfb,

Tests: python3-sasview
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-pytest,
 python3-sasview,

=== debian/watch ===
# sasview watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@\.tar\.gz%sasview-$1.tar.gz%" \
   https://github.com/SasView/sasview/releases \
   (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## sasview 5.0.3

=== src/sas/sasgui/perspectives/simulation/requirements.txt ===
UI requirements
- Allow user to modify q range from main panel [DONE]
- Move list of shapes from top menu to central simulation panel
- Popup P(r) plot and update for each simulation [DONE]
- Allow user to choose whether he wants the simulation to be run automatically with each parameter change
  or whether he wants to hit 'simulate' himself when he's done.
- A shape should be highlighted when clicked


Refactor:
- simulation._refresh_3D_viewer should not access canvas directly
- simulation._simulate_Iq: the getMaxVolume should be a call to the VolumeCanvas object.
        # Since the VolumeCanvas doesn't currently have that functionality, and
        # since the simulation panel holds the list of graphical representations
        # for the shapes, we will take the information from there until VolumeCanvas 
        # is updated.
- In simulation.py: avoid interfacing directly with the canvas member of the plotPanel.
- using time.time in CalcThread might not work on OS X

=== debian/changelog ===
sasview (5.0.3-3) unstable; urgency=medium

  * Build documentation within xvfb so that Qt modules can be imported
    (Closes: #980701).

 -- Stuart Prescott <stuart@debian.org>  Sat, 30 Jan 2021 15:59:03 +1100

sasview (5.0.3-2) unstable; urgency=medium

  * debian patch fix_h5py_value_PR1712.diff applies upstream PR1712 to
    fix usage of h5py values. Required for working with h5py 3.0.
    Closes: #974181.
  * delete qtgui detritus left behind by dh_python3 in python3* dirs
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Dec 2020 01:53:36 +0800

sasview (5.0.3-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
    - adjust build system to cope with new paths
  * Switch to debhelper-compat (= 13).
    - simplify rules with execute_* targets
  * Silence lots of noise from lintian so real problem can be seen.

 -- Stuart Prescott <stuart@debian.org>  Mon, 05 Oct 2020 15:06:23 +1100

sasview (5.0.1-3) unstable; urgency=medium

  * Fix package descriptions to not include references to Python 2
    (Closes: #960933).
  * Fix build of PDF documentation (Closes: #959626).

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Jun 2020 21:33:15 +1000

sasview (5.0.1-2) unstable; urgency=medium

  * Only test with py3versions -s in autopkgtests.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 19:08:21 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  pyqt5-dev-tools,
  python3-all-dev,
@@ -44,7 +44,7 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: http://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -104,7 +104,7 @@
  ${shlibs:Depends}
 Suggests:
  sasview-doc
-Description: Small Angle Scattering Analysis (Python 2)
+Description: Small Angle Scattering Analysis
  SasView is a Small Angle Scattering Analysis Software Package,
  originally developed as part of the NSF DANSE project under the name
  SansView, now managed by an international collaboration of facilities.
@@ -121,7 +121,8 @@
  (Porod) invariant ('total scattering'), and distance distribution
  functions.
  .
- This package installs the library for Python 2.
+ This is the package of Python modules; most users will want the graphical
+ user interface in the sasview package.
 
 Package: sasview-doc
 Architecture: all
@@ -132,7 +133,7 @@
  libjs-mathjax,
  ${misc:Depends},
  ${sphinxdoc:Depends}
-Description: Small Angle Scattering Analysis (common documentation)
+Description: Small Angle Scattering Analysis (documentation)
  SasView is a Small Angle Scattering Analysis Software Package,
  originally developed as part of the NSF DANSE project under the name
  SansView, now managed by an international collaboration of facilities.
@@ -149,4 +150,4 @@
  (Porod) invariant ('total scattering'), and distance distribution
  functions.
  .
- This is the common documentation package.
+ This is the documentation package.

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,9 @@
 
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc,numpy3 --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	# clean up docs
 	rm -rf docs/sphinx-docs/build docs/sphinx-docs/source-temp otherdocs
 	# clean up tests
@@ -32,7 +31,10 @@
 	dh_auto_build
 	# reassemble the docs from dependent packages to make the overall
 	./debian/fetchdocs
-	python3 setup.py docs
+	mkdir build
+	SASVIEW_BUILD=`pybuild --print build_dir -i python3` \
+	  xvfb-run -a --server-args='-screen 0 1024x768x24' \
+	  python3 setup.py docs update
 	# Strip absolute build paths from HTML documentation
 	mkdir -p docs/sphinx-docs/build/html/_static/
 	find -type f -name '*.html' -print0 | \
@@ -53,14 +55,16 @@
 	PYBUILD_AFTER_TEST="rm -rf {build_dir}/qtgui" \
 	dh_auto_test || true
 
-override_dh_install:
+execute_after_dh_auto_install:
+	# remove extra copy of the docs that isn't needed
+	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
+	# move the executable into the sasview package
+	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
 	mkdir -p debian/sasview/usr/bin
-	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
 	mv debian/python3-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview
-	dh_install -p sasview debian/sasview.desktop usr/share/applications
-	dh_install -p sasview debian/sasview.{png,svg} usr/share/pixmaps
-	dh_numpy3
 
-override_dh_python3:
-	dh_python3
-	rm -rf debian/python3-sasview/usr/lib/python3/dist-packages/qtgui
+execute_after_dh_python3:
+	rm -rf debian/python3-sasview/usr/lib/python3*/dist-packages/qtgui
+
+execute_after_dh_fixperms:
+	find debian/python3-sasview/usr/lib/python*/dist-packages/ -type f -exec chmod a-x {} +

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: sasview
-Restrictions: allow-stderr
+Restrictions: allow-stderr, superficial
 Depends:
  sasview,
  xauth,

=== debian/watch ===
# sasview watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@\.tar\.gz%sasview-$1.tar.gz%,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
   https://github.com/SasView/sasview/releases \
   (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## sasview 5.0.4

=== debian/changelog ===
sasview (5.0.4-1) unstable; urgency=medium

  * New upstream version.
    - refresh patches
    - update debian/copyright
    - add additional patch to not fail the build on sphinx warnings
  * Misc. fixes from lintian-brush.
  * Add dependency on tex-gyre to match new texlive packaging
    (Closes: #997312).
  * Add lots of lintian overrides so that real problems can be seen.
  * Increase version requirement on sasmodels packages.

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Nov 2021 17:58:17 +1100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-qt5reactor,
  python3-qtconsole,
  python3-pyqt5.qtsvg,
- python3-sasmodels (>> 1.0.0~),
+ python3-sasmodels (>> 1.0.5~),
  python3-scipy,
  python3-setuptools,
  python3-sphinx (>= 1.6~),
@@ -36,19 +36,19 @@
  libjs-jquery,
  libjs-mathjax,
  python-bumps-doc (>> 0.7.6-3~),
- python-sasmodels-doc (>> 0.97~git20180309-1~),
+ python-sasmodels-doc (>> 1.0.5~),
  rename,
  texinfo,
  texlive-fonts-recommended,
+ tex-gyre,
  texlive-plain-generic,
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.5.1
-Homepage: http://www.sasview.org/
+Standards-Version: 4.6.0
+Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
-#Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: sasview
@@ -96,7 +96,7 @@
  python3-pyqt5.qtsvg,
  python3-qt5reactor,
  python3-qtconsole,
- python3-sasmodels,
+ python3-sasmodels (>> 1.0.5~),
  python3-scipy,
  python3-xhtml2pdf,
  ${misc:Depends},

## sasview 5.0.5

=== debian/changelog ===
sasview (5.0.5-2) experimental; urgency=medium

  * Add patch for matplotlib 3.5.x compatibility.
  * Add patch for recent qt/pyqt compatibility.
  * Add patch for setuptools 65 compatibility.
  * Add new dependencies on python3-dominate, python3-html2text,
    python3-uncertainties
  * Disable GUITests.py as the tests currently hang.

 -- Stuart Prescott <stuart@debian.org>  Sat, 24 Sep 2022 00:20:09 +1000

sasview (5.0.5-1) experimental; urgency=medium

  [ Stuart Prescott ]
  * New upstream version.
    - refresh patches
    - drop fix_dream_options_e655e0c.patch (applied upstream)
  * Update Standards-Version to 4.6.1 (no changes required).
  * Move cleanup file removals to debian/clean
  * Update lintian warnings to new formats.
  * Fix rst munger to handle trailing whitespace in the rst.

  [ Drew Parsons ]
  * debian patch help_dir_location.patch sets HELP_DIRECTORY_LOCATION
    to /usr/share/doc/sasview/html, as provided by sasview-doc.
    Closes: #999747
  * remove generated UI files ChangeNameUI.py, FileConverterUI.py,
    FrameSelectUI.py after dh_auto_clean
  * copy beam_profile.DAT to use in build-time GUI tests (qtgui)
  * debian patch fix_dream_options_e655e0c.patch applies upstream
    commit e655e0c to fix handling of DREAM options for bumps objects

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Aug 2022 18:12:24 +1000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  dh-python,
  pyqt5-dev-tools,
  python3-all-dev,
- python3-bumps,
+ python3-bumps (>> 0.9.0~),
+ python3-dominate,
  python3-h5py,
  python3-ipython,
  python3-lxml,
@@ -24,19 +25,21 @@
  python3-qt5reactor,
  python3-qtconsole,
  python3-pyqt5.qtsvg,
- python3-sasmodels (>> 1.0.5~),
+ python3-sasmodels (>> 1.0.6~),
  python3-scipy,
  python3-setuptools,
  python3-sphinx (>= 1.6~),
+ python3-uncertainties,
  python3-xhtml2pdf,
+ python3-html2text,
  xauth,
  xserver-xephyr,
  xvfb,
 Build-Depends-Indep:
  libjs-jquery,
  libjs-mathjax,
- python-bumps-doc (>> 0.7.6-3~),
- python-sasmodels-doc (>> 1.0.5~),
+ python-bumps-doc (>> 0.9.0~),
+ python-sasmodels-doc (>> 1.0.6~),
  rename,
  texinfo,
  texlive-fonts-recommended,
@@ -45,7 +48,7 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -83,7 +86,8 @@
 Architecture: any
 Section: python
 Depends:
- python3-bumps,
+ python3-bumps (>> 0.9.0~),
+ python3-dominate,
  python3-h5py,
  python3-ipython,
  python3-lxml,
@@ -96,9 +100,11 @@
  python3-pyqt5.qtsvg,
  python3-qt5reactor,
  python3-qtconsole,
- python3-sasmodels (>> 1.0.5~),
+ python3-sasmodels (>> 1.0.6~),
  python3-scipy,
+ python3-uncertainties,
  python3-xhtml2pdf,
+ python3-html2text,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,8 @@
 	dh $@ --with python3,sphinxdoc,numpy3 --buildsystem=pybuild
 
 execute_after_dh_auto_clean:
-	# clean up docs
-	rm -rf docs/sphinx-docs/build docs/sphinx-docs/source-temp otherdocs
 	# clean up tests
 	find test -name logs -type d -exec rm -rf {} +
-	rm -rf test/tests.log .cache test/.cache
 
 override_dh_auto_build-indep:
 	# build the arch-dep packages to be able to build the docs
@@ -47,13 +44,14 @@
 override_dh_auto_test-arch:
 	# Run most of the utests with pytest
 	dh_auto_test
-	# Run some additional GUI tests
-	# they fail upstream at present so run them without failing the build
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_BEFORE_TEST="cp -r {dir}/src/sas/qtgui {build_dir}" \
-	PYBUILD_TEST_ARGS="cd {build_dir}/qtgui; xvfb-run -a --server-args='-screen 0 1024x768x24' python3 GUITests.py" \
-	PYBUILD_AFTER_TEST="rm -rf {build_dir}/qtgui" \
-	dh_auto_test || true
+# SKIP: these test currently hang (v5.0.5)
+# 	# Run some additional GUI tests
+# 	# they fail upstream at present so run them without failing the build
+# 	PYBUILD_SYSTEM=custom \
+# 	PYBUILD_BEFORE_TEST="cp -r {dir}/src/sas/qtgui {build_dir}; cp {dir}/src/sas/sasview/test/1d_data/beam\ profile.DAT {build_dir}/qtgui/beam_profile.DAT" \
+# 	PYBUILD_TEST_ARGS="cd {build_dir}/qtgui; xvfb-run -a --server-args='-screen 0 1024x768x24' python3 GUITests.py" \
+# 	PYBUILD_AFTER_TEST="rm -rf {build_dir}/qtgui" \
+# 	dh_auto_test || true
 
 execute_after_dh_auto_install:
 	# remove extra copy of the docs that isn't needed
